Author Topic: MSys2 package to install Code::Blocks; is it wanted?  (Read 1340 times)

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6221
    • My Best Post
MSys2 package to install Code::Blocks; is it wanted?
« on: November 18, 2016, 12:21:34 am »
Note: MSys2 is a fork of CygWin.

I am trying to convert my computer usage to an Linux Distro.
And, I found one annoying thing about C::B the yes,no,cancel buttons are reversed between Linux and Windows.

So, I decided to build Code::Blocks on Windows using GTK; so, when switching from one OS to anther I do NOT get confused.

Since, I am also trying to use MSys2 GCC instead of other GCC's compilers; I have started work on creating an MSys2 package to install Code::Blocks. It can now install Code::Blocks, with only the core plugins, linked to wxMSW2.8 under MSys2; but, it fails to run because the resource files are missing.

I still need to figure out where the resource files should be placed under MSys2.

The plan is to next build linking to wxMSW3.0 and then wxGTK3.0; if anyone wants to maintain the MSys2 wxMSW3.0 package please reply to this post. My long term plans mean, I will need to create an wxGTK3.0 MSys2 package in time.

Edit: The reason for wxMSW2.8, wxMSW3.0, and wxGTK versions are to help me determine the run-time errors cause.

Tim S.
« Last Edit: November 18, 2016, 12:35:31 am by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline BlueHazzard

  • Lives here!
  • ****
  • Posts: 1849
Re: MSys2 package to install Code::Blocks; is it wanted?
« Reply #1 on: February 26, 2018, 06:42:36 pm »
Hi,
i stumbled across msys2 lately and asked myself why not try to create a codeblocks package.

Did you had success? I tried to read you instructions on github, but was not very successful. I can not run bootstrap, or better it runs but does not create a configure script. Did you had the same issue?


Offline stahta01

  • Lives here!
  • ****
  • Posts: 6221
    • My Best Post
Re: MSys2 package to install Code::Blocks; is it wanted?
« Reply #2 on: February 26, 2018, 10:59:19 pm »
Hi,
i stumbled across msys2 lately and asked myself why not try to create a codeblocks package.

Did you had success? I tried to read you instructions on github, but was not very successful. I can not run bootstrap, or better it runs but does not create a configure script. Did you had the same issue?

Link to my repo; not built it in the last few months.
https://github.com/stahta01/MINGW-packages/tree/wx/apps

Edit: I stopped work a few months ago; too much else to do. And, I still have not decided if I should put the config files inside of the MSys2 mingw folders or leave them where they are under windows normally.

Edit2: The package builds and the program runs the last time I tried; no idea what directions you are talking about.
I did not test the build past starting up and exiting from the program.

Edit3: Looks like it needs to have wxWidgets built; instead of the already built wxWidgets.

Tim S.
« Last Edit: February 26, 2018, 11:19:47 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline BlueHazzard

  • Lives here!
  • ****
  • Posts: 1849
Re: MSys2 package to install Code::Blocks; is it wanted?
« Reply #3 on: February 26, 2018, 11:33:08 pm »
Thank you for the work!

i have now tested this repo and it works until after bootstrap:
Code: [Select]
==> Starting prepare()...
patching file src/sdk/scripting/squirrel/Makefile.am
patching file src/sdk/Makefile.am
patching file src/sdk/wxscintilla/Makefile.am
Hunk #1 succeeded at 9 (offset 1 line).
patching file src/src/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxDateTimePicker/Makefile.am
patching file src/plugins/contrib/wxContribItems/KWIC/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxFlatNotebook/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxImagePanel/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxSpeedButton/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxTreeList/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxchart/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxled/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxthings/Makefile.am
patching file src/plugins/contrib/wxContribItems/wxmathplot/Makefile.am
patching file src/plugins/contrib/source_exporter/Makefile.am
patching file src/plugins/contrib/source_exporter/wxPdfDocument/Makefile.am
Hunk #1 succeeded at 2 with fuzz 1.
patching file src/plugins/contrib/wxSmith/Makefile.am
patching file src/plugins/compilergcc/Makefile.am
Hunk #1 succeeded at 72 with fuzz 2 (offset 64 lines).
patching file src/sdk/scripting/bindings/Makefile.am
patching file src/sdk/Makefile.am
Hunk #1 succeeded at 20 with fuzz 2 (offset 4 lines).
patching file src/include/Makefile.am
Hunk #1 succeeded at 180 (offset -1 lines).
patching file src/plugins/compilergcc/depslib/src/Makefile.am
patching file src/plugins/compilergcc/Makefile.am
patching file src/src/Makefile.am
Hunk #1 succeeded at 124 (offset 9 lines).
patching file src/src/Makefile.am
Hunk #1 succeeded at 21 (offset 1 line).
patching file src/src/Makefile.am
Hunk #1 succeeded at 40 (offset 4 lines).
patching file src/sdk/wxscintilla/include/wx/wxscintilla.h
patching file src/sdk/wxscintilla/src/ScintillaWX.h
patching file src/tools/ConsoleRunner/main.cpp
patching file src/build_tools/autorevision/Makefile.am
patching file src/src/app.cpp
patching file src/sdk/configmanager.cpp
Hunk #1 succeeded at 1540 (offset 54 lines).
Hunk #2 succeeded at 1564 (offset 54 lines).
Hunk #3 succeeded at 1587 with fuzz 2 (offset 56 lines).
patching file src/sdk/pluginmanager.cpp
patching file src/include/sdk.h
patching file src/sdk/filemanager.cpp
patching file src/sdk/configmanager.cpp
Hunk #1 succeeded at 33 with fuzz 2 (offset 2 lines).
patching file src/sdk/cbplugin.cpp
Hunk #1 succeeded at 831 (offset -17 lines).
Hunk #2 succeeded at 901 (offset -17 lines).
patching file src/sdk/globals.cpp
Hunk #2 succeeded at 991 (offset 8 lines).
Hunk #3 succeeded at 1037 (offset 8 lines).
Hunk #4 succeeded at 1333 (offset 8 lines).
Using 'git log --graph' to get the revision
Found revision: '11302' '2018-02-23 23:34:57'
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
==> ERROR: A failure occurred in prepare().
    Aborting...


no configure script is generated... Not even a error message...

Quote
no idea what directions you are talking about.
https://github.com/stahta01/cb_misc/tree/master/Notes/MSys2


Offline stahta01

  • Lives here!
  • ****
  • Posts: 6221
    • My Best Post
Re: MSys2 package to install Code::Blocks; is it wanted?
« Reply #4 on: February 27, 2018, 02:00:33 am »
Have you installed the standard packages needed to build MSys2 mingw packages.

Code: [Select]
pacman -S --needed --asdeps base-devel
pacman -S --needed --asdeps mingw-w64-i686-toolchain
pacman -S --needed --asdeps mingw-w64-x86_64-toolchain

I am trying to build my mingw-w64-codeblocks-git package right now.
It has made it one line past your posted log result; but, seems to be taking a lot of time to go past that one line; finally printed several lines one after another.
Code: [Select]
libtoolize: copying file 'm4/lt~obsolete.m4'
main::scan_file() called too early to check prototype at /usr/bin/aclocal-1.11 line 644.
configure.ac:39: installing `./compile'
configure.ac:7: installing `./config.guess'
configure.ac:7: installing `./config.sub'
configure.ac:22: installing `./install-sh'

Edit: I am building an sourcecode wxWidgets msys2 mingw package needed by mingw-w64-codeblocks-svn; will test it later.

Edit2: I am only doing 32 bit builds because it is on an Win10 32 bit computer.

Edit3: I am expecting one of the wxSmith plugins to error out because that is what happen in mingw-w64-codeblocks-svn a few months back.

Edit4: The normal command I use to build msys2 mingw packages
Code: [Select]
makepkg-mingw -sLf
Edit5: Number one newbie mistake is building msys2 mingw packages from msys2 mingw prompt instead of from msys2 prompt.

Edit6: Trying again with NassiShneiderman plugin disabled; because of boost library link error

Tim S.
« Last Edit: February 27, 2018, 10:55:59 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6221
    • My Best Post
Re: MSys2 package to install Code::Blocks; is it wanted?
« Reply #5 on: February 28, 2018, 08:11:52 pm »
Errors have creeped into my git repo branch "wx/apps" in folders of mingw-w64-codeblocks-git and mingw-w64-codeblocks-svn.

Error1: I seem to have edited the directions and not done full testing of them.
Checking out the directions at
  https://github.com/stahta01/cb_misc/blob/master/Notes/MSys2/Build%20mingw-w64-codeblocks-git.txt
and
  https://github.com/stahta01/cb_misc/blob/master/Notes/MSys2/Build%20mingw-w64-codeblocks-svn.txt

Error2: The packages have build errors possible reasons include:
  CB repo changed and patches need updated (No idea if true)
  MSys2 mingw packages changed too much (No idea if true)
  svn build uses non built binaries of wxWidgets (This one is true)
  packages need updated to match the directions (This one appears to be true)

Likely be a few days before I get the issues fixed working on mingw-w64-codeblocks-git package first since you tried that one and it builds faster.

Tim S.

 
 
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline BlueHazzard

  • Lives here!
  • ****
  • Posts: 1849
Re: MSys2 package to install Code::Blocks; is it wanted?
« Reply #6 on: February 28, 2018, 09:36:46 pm »
I have some other problem here, because of the configure thing. I don't think it has something to do with your repo but with my installation. I have to check this...

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6221
    • My Best Post
Re: MSys2 package to install Code::Blocks; is it wanted?
« Reply #7 on: March 01, 2018, 02:13:39 am »
I have some other problem here, because of the configure thing. I don't think it has something to do with your repo but with my installation. I have to check this...

The problem is likely in my directions or my package.
The only likely thing you need to check is to confirm is that you updated the MSys2 installation correctly.

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org